%define upstream_name    Module-Extract-Use
%define upstream_version 1.051

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pull out the modules a module uses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

# Dependencies
Requires:   perl(PPI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output)
BuildArch:  noarch

%description
Extract the names of the modules used in a file using a static analysis.
Since this module does not run code, it cannot find dynamic uses of
modules, such as 'eval "require $class"'.

* new

  Makes an object. The object doesn't do anything just yet, but you need it
  to call the methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.51.0-2.mga9
+ Revision: 1821002
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.51.0-1.mga9
+ Revision: 1767718
- update to 1.051

* Mon Apr 27 2020 tv <tv> 1.47.0-1.mga8
+ Revision: 1572391
- update to 1.047

* Tue Feb 18 2020 umeabot <umeabot> 1.45.0-2.mga8
+ Revision: 1541111
- Mageia 8 Mass Rebuild

* Thu Dec 19 2019 tv <tv> 1.45.0-1.mga8
+ Revision: 1469025
- update to 1.045

* Thu Sep 20 2018 umeabot <umeabot> 1.43.0-4.mga7
+ Revision: 1284786
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.43.0-3.mga7
+ Revision: 1165546
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.43.0-2.mga7
+ Revision: 1160972
- req perl(PPI), thus fixing tons of builds

* Fri Sep 22 2017 sander85 <sander85> 1.43.0-1.mga7
+ Revision: 1157444
- update to 1.043

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-6.mga6
+ Revision: 1029995
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.40.0-5.mga6
+ Revision: 933122
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 750869
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.40.0-3.mga5
+ Revision: 727654
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 685425
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 587346
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 512910
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 369793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.30.0-1.mga3
+ Revision: 286286
- update to 1.03

* Wed Nov 09 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 165798
- do not ship MYMETA
- update to 1.02

* Mon Apr 04 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 80374
- update to 1.01

* Thu Mar 24 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 76651
- update to 0.18

* Sun Jan 23 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 33956
- mageia rebuild
- cleaning spec file
- imported package perl-Module-Extract-Use

